%define oname		keybinder

%define major           0
%define api		3.0
%define gmajor		3.0
%define libname         %mklibname %{oname} %{api} %{major}
%define girname		%mklibname %{oname}-gir %{gmajor}
%define develname       %mklibname -d %{oname} %{api}

Name:           keybinder3.0
Version:        0.3.0
Release:        %mkrel 11
Summary:        A library for registering global keyboard shortcuts
License:        X11 License
Group:          Development/GNOME and GTK+
# These URLs are no longer valid
URL:            http://kaizer.se/wiki/keybinder/
Source0:        http://kaizer.se/publicfiles/keybinder/%{oname}-%{api}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
%{name} is a library for registering global keyboard shortcuts. Keybinder
works with GTK3-based applications using the X Window System.

%package -n %{libname}
Group:          System/Libraries
Summary:        %{name} library package

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Group:          Development/GNOME and GTK+
Summary:        %{name} development files
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n %{develname}
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q -n %{oname}-%{api}-%{version}

%build
%configure \
	--disable-static \
	--enable-introspection=yes
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files
%doc NEWS AUTHORS README

%files -n %{libname}
%{_libdir}/libkeybinder-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Keybinder-%{gmajor}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{oname}-%{api}
%{_includedir}/%{oname}-%{api}
%{_libdir}/libkeybinder-%{api}.so
%{_libdir}/pkgconfig/keybinder-%{api}.pc
%{_datadir}/gir-1.0/Keybinder-%{gmajor}.gir


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.3.0-11.mga9
+ Revision: 1835076
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.3.0-10.mga8
+ Revision: 1513743
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-9.mga7
+ Revision: 1298521
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.3.0-8.mga6
+ Revision: 954704
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.3.0-7.mga6
+ Revision: 847523
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-6.mga5
+ Revision: 739983
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.3.0-5.mga5
+ Revision: 724913
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 681044
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 506650
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 356133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.3.0-1.mga3
+ Revision: 334919
- imported package keybinder3.0

